Page MenuHomePhabricator

Provide an OpenRefine API for matching by class and properties
Closed, InvalidPublic

Description

The Mediawiki-based API is not sufficient for reconciliation

Thanks for adding me in the loop! @RazShuty, do you mean any of this?

  • migrate the existing reconciliation service (https://tools.wmflabs.org/openrefine-wikidata/) to work on any Wikibase install
  • create a Wikibase extension that already provides a reconciliation API natively, without having to create a wrapper like I did *anything else?

Event Timeline

RazShuty created this task.Apr 23 2018, 4:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2018, 4:04 PM

Can you please clarify what's missing?

Thanks for adding me in the loop! @RazShuty, do you mean any of this?

  • migrate the existing reconciliation service (https://tools.wmflabs.org/openrefine-wikidata/) to work on any Wikibase install
  • create a Wikibase extension that already provides a reconciliation API natively, without having to create a wrapper like I did

*anything else?

Vvjjkkii renamed this task from Provide an OpenRefine API for matching by class and properties to gfeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Wong128hk renamed this task from gfeaaaaaaa to Provide an OpenRefine API for matching by class and properties.Jul 1 2018, 5:49 AM
Wong128hk raised the priority of this task from High to Needs Triage.
Wong128hk updated the task description. (Show Details)
Wong128hk added a subscriber: Aklapper.
Addshore updated the task description. (Show Details)Oct 12 2018, 9:18 AM
Addshore added a project: Wikidata.
Addshore updated the task description. (Show Details)

I think this ticket can be closed given that we cannot figure out what it is supposed to be about.

For reference, https://github.com/wetneb/openrefine-wikibase works for arbitrary Wikibase instances now (the first bullet point in my reply above).

Pintoch closed this task as Invalid.Oct 12 2018, 9:23 AM